Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface Group

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Subinterfaces:
    `All`, `ExplicitGroup`, `GroupRef`, `NamedGroup`, `NamedGroup.All`, `RealGroup`, `SimpleExplicitGroup`
  All Known Implementing Classes:
    `AllImpl`, `ExplicitGroupImpl`, `GroupImpl`, `GroupRefImpl`, `NamedGroupImpl`, `NamedGroupImpl.AllImpl`, `RealGroupImpl`, `SimpleExplicitGroupImpl`

      public interface Group
      extends Annotated

  An XML group(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AbstractDocumentFactory<Group>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `All` | `addNewAll()` | Appends and returns a new empty value (as xml) as the last "all" element
    `AnyDocument.Any` | `addNewAny()` | Appends and returns a new empty value (as xml) as the last "any" element
    `ExplicitGroup` | `addNewChoice()` | Appends and returns a new empty value (as xml) as the last "choice" element
    `LocalElement` | `addNewElement()` | Appends and returns a new empty value (as xml) as the last "element" element
    `GroupRef` | `addNewGroup()` | Appends and returns a new empty value (as xml) as the last "group" element
    `ExplicitGroup` | `addNewSequence()` | Appends and returns a new empty value (as xml) as the last "sequence" element
    `All[]` | `getAllArray()` | Gets array of all "all" elements
    `All` | `getAllArray​(int i)` | Gets ith "all" element
    `List<All>` | `getAllList()` | Gets a List of "all" elements
    `AnyDocument.Any[]` | `getAnyArray()` | Gets array of all "any" elements
    `AnyDocument.Any` | `getAnyArray​(int i)` | Gets ith "any" element
    `List<AnyDocument.Any>` | `getAnyList()` | Gets a List of "any" elements
    `ExplicitGroup[]` | `getChoiceArray()` | Gets array of all "choice" elements
    `ExplicitGroup` | `getChoiceArray​(int i)` | Gets ith "choice" element
    `List<ExplicitGroup>` | `getChoiceList()` | Gets a List of "choice" elements
    `LocalElement[]` | `getElementArray()` | Gets array of all "element" elements
    `LocalElement` | `getElementArray​(int i)` | Gets ith "element" element
    `List<LocalElement>` | `getElementList()` | Gets a List of "element" elements
    `GroupRef[]` | `getGroupArray()` | Gets array of all "group" elements
    `GroupRef` | `getGroupArray​(int i)` | Gets ith "group" element
    `List<GroupRef>` | `getGroupList()` | Gets a List of "group" elements
    `Object` | `getMaxOccurs()` | Gets the "maxOccurs" attribute
    `BigInteger` | `getMinOccurs()` | Gets the "minOccurs" attribute
    `String` | `getName()` | Gets the "name" attribute
    `QName` | `getRef()` | Gets the "ref" attribute
    `ExplicitGroup[]` | `getSequenceArray()` | Gets array of all "sequence" elements
    `ExplicitGroup` | `getSequenceArray​(int i)` | Gets ith "sequence" element
    `List<ExplicitGroup>` | `getSequenceList()` | Gets a List of "sequence" elements
    `All` | `insertNewAll​(int i)` | Inserts and returns a new empty value (as xml) as the ith "all" element
    `AnyDocument.Any` | `insertNewAny​(int i)` | Inserts and returns a new empty value (as xml) as the ith "any" element
    `ExplicitGroup` | `insertNewChoice​(int i)` | Inserts and returns a new empty value (as xml) as the ith "choice" element
    `LocalElement` | `insertNewElement​(int i)` | Inserts and returns a new empty value (as xml) as the ith "element" element
    `GroupRef` | `insertNewGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "group" element
    `ExplicitGroup` | `insertNewSequence​(int i)` | Inserts and returns a new empty value (as xml) as the ith "sequence" element
    `boolean` | `isSetMaxOccurs()` | True if has "maxOccurs" attribute
    `boolean` | `isSetMinOccurs()` | True if has "minOccurs" attribute
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetRef()` | True if has "ref" attribute
    `void` | `removeAll​(int i)` | Removes the ith "all" element
    `void` | `removeAny​(int i)` | Removes the ith "any" element
    `void` | `removeChoice​(int i)` | Removes the ith "choice" element
    `void` | `removeElement​(int i)` | Removes the ith "element" element
    `void` | `removeGroup​(int i)` | Removes the ith "group" element
    `void` | `removeSequence​(int i)` | Removes the ith "sequence" element
    `void` | `setAllArray​(int i, All all)` | Sets ith "all" element
    `void` | `setAllArray​(All[] allArray)` | Sets array of all "all" element
    `void` | `setAnyArray​(int i, AnyDocument.Any any)` | Sets ith "any" element
    `void` | `setAnyArray​(AnyDocument.Any[] anyArray)` | Sets array of all "any" element
    `void` | `setChoiceArray​(int i, ExplicitGroup choice)` | Sets ith "choice" element
    `void` | `setChoiceArray​(ExplicitGroup[] choiceArray)` | Sets array of all "choice" element
    `void` | `setElementArray​(int i, LocalElement element)` | Sets ith "element" element
    `void` | `setElementArray​(LocalElement[] elementArray)` | Sets array of all "element" element
    `void` | `setGroupArray​(int i, GroupRef group)` | Sets ith "group" element
    `void` | `setGroupArray​(GroupRef[] groupArray)` | Sets array of all "group" element
    `void` | `setMaxOccurs​(Object maxOccurs)` | Sets the "maxOccurs" attribute
    `void` | `setMinOccurs​(BigInteger minOccurs)` | Sets the "minOccurs" attribute
    `void` | `setName​(String name)` | Sets the "name" attribute
    `void` | `setRef​(QName ref)` | Sets the "ref" attribute
    `void` | `setSequenceArray​(int i, ExplicitGroup sequence)` | Sets ith "sequence" element
    `void` | `setSequenceArray​(ExplicitGroup[] sequenceArray)` | Sets array of all "sequence" element
    `int` | `sizeOfAllArray()` | Returns number of "all" element
    `int` | `sizeOfAnyArray()` | Returns number of "any" element
    `int` | `sizeOfChoiceArray()` | Returns number of "choice" element
    `int` | `sizeOfElementArray()` | Returns number of "element" element
    `int` | `sizeOfGroupArray()` | Returns number of "group" element
    `int` | `sizeOfSequenceArray()` | Returns number of "sequence" element
    `void` | `unsetMaxOccurs()` | Unsets the "maxOccurs" attribute
    `void` | `unsetMinOccurs()` | Unsets the "minOccurs" attribute
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetRef()` | Unsets the "ref" attribute
    `AllNNI` | `xgetMaxOccurs()` | Gets (as xml) the "maxOccurs" attribute
    `XmlNonNegativeInteger` | `xgetMinOccurs()` | Gets (as xml) the "minOccurs" attribute
    `XmlNCName` | `xgetName()` | Gets (as xml) the "name" attribute
    `XmlQName` | `xgetRef()` | Gets (as xml) the "ref" attribute
    `void` | `xsetMaxOccurs​(AllNNI maxOccurs)` | Sets (as xml) the "maxOccurs" attribute
    `void` | `xsetMinOccurs​(XmlNonNegativeInteger minOccurs)` | Sets (as xml) the "minOccurs" attribute
    `void` | `xsetName​(XmlNCName name)` | Sets (as xml) the "name" attribute
    `void` | `xsetRef​(XmlQName ref)` | Sets (as xml) the "ref" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final AbstractDocumentFactory<Group> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getElementList

          List<LocalElement> getElementList()

      Gets a List of "element" elements

    - #### getElementArray

          LocalElement[] getElementArray()

      Gets array of all "element" elements

    - #### getElementArray

          LocalElement getElementArray​(int i)

      Gets ith "element" element

    - #### sizeOfElementArray

          int sizeOfElementArray()

      Returns number of "element" element

    - #### setElementArray

          void setElementArray​(LocalElement[] elementArray)

      Sets array of all "element" element

    - #### setElementArray

          void setElementArray​(int i,
                               LocalElement element)

      Sets ith "element" element

    - #### insertNewElement

          LocalElement insertNewElement​(int i)

      Inserts and returns a new empty value (as xml) as the ith "element" element

    - #### addNewElement

          LocalElement addNewElement()

      Appends and returns a new empty value (as xml) as the last "element" element

    - #### removeElement

          void removeElement​(int i)

      Removes the ith "element" element

    - #### getGroupList

          List<GroupRef> getGroupList()

      Gets a List of "group" elements

    - #### getGroupArray

          GroupRef[] getGroupArray()

      Gets array of all "group" elements

    - #### getGroupArray

          GroupRef getGroupArray​(int i)

      Gets ith "group" element

    - #### sizeOfGroupArray

          int sizeOfGroupArray()

      Returns number of "group" element

    - #### setGroupArray

          void setGroupArray​(GroupRef[] groupArray)

      Sets array of all "group" element

    - #### setGroupArray

          void setGroupArray​(int i,
                             GroupRef group)

      Sets ith "group" element

    - #### insertNewGroup

          GroupRef insertNewGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "group" element

    - #### addNewGroup

          GroupRef addNewGroup()

      Appends and returns a new empty value (as xml) as the last "group" element

    - #### removeGroup

          void removeGroup​(int i)

      Removes the ith "group" element

    - #### getAllList

          List<All> getAllList()

      Gets a List of "all" elements

    - #### getAllArray

          All[] getAllArray()

      Gets array of all "all" elements

    - #### getAllArray

          All getAllArray​(int i)

      Gets ith "all" element

    - #### sizeOfAllArray

          int sizeOfAllArray()

      Returns number of "all" element

    - #### setAllArray

          void setAllArray​(All[] allArray)

      Sets array of all "all" element

    - #### setAllArray

          void setAllArray​(int i,
                           All all)

      Sets ith "all" element

    - #### insertNewAll

          All insertNewAll​(int i)

      Inserts and returns a new empty value (as xml) as the ith "all" element

    - #### addNewAll

          All addNewAll()

      Appends and returns a new empty value (as xml) as the last "all" element

    - #### removeAll

          void removeAll​(int i)

      Removes the ith "all" element

    - #### getChoiceList

          List<ExplicitGroup> getChoiceList()

      Gets a List of "choice" elements

    - #### getChoiceArray

          ExplicitGroup[] getChoiceArray()

      Gets array of all "choice" elements

    - #### getChoiceArray

          ExplicitGroup getChoiceArray​(int i)

      Gets ith "choice" element

    - #### sizeOfChoiceArray

          int sizeOfChoiceArray()

      Returns number of "choice" element

    - #### setChoiceArray

          void setChoiceArray​(ExplicitGroup[] choiceArray)

      Sets array of all "choice" element

    - #### setChoiceArray

          void setChoiceArray​(int i,
                              ExplicitGroup choice)

      Sets ith "choice" element

    - #### insertNewChoice

          ExplicitGroup insertNewChoice​(int i)

      Inserts and returns a new empty value (as xml) as the ith "choice" element

    - #### addNewChoice

          ExplicitGroup addNewChoice()

      Appends and returns a new empty value (as xml) as the last "choice" element

    - #### removeChoice

          void removeChoice​(int i)

      Removes the ith "choice" element

    - #### getSequenceList

          List<ExplicitGroup> getSequenceList()

      Gets a List of "sequence" elements

    - #### getSequenceArray

          ExplicitGroup[] getSequenceArray()

      Gets array of all "sequence" elements

    - #### getSequenceArray

          ExplicitGroup getSequenceArray​(int i)

      Gets ith "sequence" element

    - #### sizeOfSequenceArray

          int sizeOfSequenceArray()

      Returns number of "sequence" element

    - #### setSequenceArray

          void setSequenceArray​(ExplicitGroup[] sequenceArray)

      Sets array of all "sequence" element

    - #### setSequenceArray

          void setSequenceArray​(int i,
                                ExplicitGroup sequence)

      Sets ith "sequence" element

    - #### insertNewSequence

          ExplicitGroup insertNewSequence​(int i)

      Inserts and returns a new empty value (as xml) as the ith "sequence" element

    - #### addNewSequence

          ExplicitGroup addNewSequence()

      Appends and returns a new empty value (as xml) as the last "sequence" element

    - #### removeSequence

          void removeSequence​(int i)

      Removes the ith "sequence" element

    - #### getAnyList

          List<AnyDocument.Any> getAnyList()

      Gets a List of "any" elements

    - #### getAnyArray

          AnyDocument.Any[] getAnyArray()

      Gets array of all "any" elements

    - #### getAnyArray

          AnyDocument.Any getAnyArray​(int i)

      Gets ith "any" element

    - #### sizeOfAnyArray

          int sizeOfAnyArray()

      Returns number of "any" element

    - #### setAnyArray

          void setAnyArray​(AnyDocument.Any[] anyArray)

      Sets array of all "any" element

    - #### setAnyArray

          void setAnyArray​(int i,
                           AnyDocument.Any any)

      Sets ith "any" element

    - #### insertNewAny

          AnyDocument.Any insertNewAny​(int i)

      Inserts and returns a new empty value (as xml) as the ith "any" element

    - #### addNewAny

          AnyDocument.Any addNewAny()

      Appends and returns a new empty value (as xml) as the last "any" element

    - #### removeAny

          void removeAny​(int i)

      Removes the ith "any" element

    - #### getName

          String getName()

      Gets the "name" attribute

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName​(String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName​(XmlNCName name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute

    - #### getRef

          QName getRef()

      Gets the "ref" attribute

    - #### xgetRef

          XmlQName xgetRef()

      Gets (as xml) the "ref" attribute

    - #### isSetRef

          boolean isSetRef()

      True if has "ref" attribute

    - #### setRef

          void setRef​(QName ref)

      Sets the "ref" attribute

    - #### xsetRef

          void xsetRef​(XmlQName ref)

      Sets (as xml) the "ref" attribute

    - #### unsetRef

          void unsetRef()

      Unsets the "ref" attribute

    - #### getMinOccurs

          BigInteger getMinOccurs()

      Gets the "minOccurs" attribute

    - #### xgetMinOccurs

          XmlNonNegativeInteger xgetMinOccurs()

      Gets (as xml) the "minOccurs" attribute

    - #### isSetMinOccurs

          boolean isSetMinOccurs()

      True if has "minOccurs" attribute

    - #### setMinOccurs

          void setMinOccurs​(BigInteger minOccurs)

      Sets the "minOccurs" attribute

    - #### xsetMinOccurs

          void xsetMinOccurs​(XmlNonNegativeInteger minOccurs)

      Sets (as xml) the "minOccurs" attribute

    - #### unsetMinOccurs

          void unsetMinOccurs()

      Unsets the "minOccurs" attribute

    - #### getMaxOccurs

          Object getMaxOccurs()

      Gets the "maxOccurs" attribute

    - #### xgetMaxOccurs

          AllNNI xgetMaxOccurs()

      Gets (as xml) the "maxOccurs" attribute

    - #### isSetMaxOccurs

          boolean isSetMaxOccurs()

      True if has "maxOccurs" attribute

    - #### setMaxOccurs

          void setMaxOccurs​(Object maxOccurs)

      Sets the "maxOccurs" attribute

    - #### xsetMaxOccurs

          void xsetMaxOccurs​(AllNNI maxOccurs)

      Sets (as xml) the "maxOccurs" attribute

    - #### unsetMaxOccurs

          void unsetMaxOccurs()

      Unsets the "maxOccurs" attribute